%global git_commit 3035acd
%global cluster jnr

# Prevent brp-java-repack-jars from being run.
%define __jar_repack %{nil}
%define with_maven   1
Name:           jnr-posix
Version:        1.1.8
Release:        %mkrel 2
Summary:        Java Posix layer
Group:          Development/Java 
License:        CPL,GPL,LGPL
URL:            http://github.com/%{cluster}/%{name}
Source0:        %{url}/tarball/%{version}/%{cluster}-%{name}-%{version}-0-g%{git_commit}.tar.gz
Patch0:         jnr-posix-1.1.7-remove-wagon-webdav.patch
Patch1:         jnr-posix-1.1.8-remove_windows_specific_bits.patch
Patch2:         jnr-posix-1.1.8-fix_jar_dependencies.patch

BuildArch:      noarch

%if !%with_maven
BuildRequires:  ant
%else
BuildRequires:  maven
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-javadoc-plugin
%endif
BuildRequires:  jaffl
BuildRequires:  java-devel
BuildRequires:  jnr-constants
BuildRequires:  jpackage-utils
BuildRequires:  jffi
BuildRequires:  junit4
BuildRequires:  objectweb-asm
BuildRequires:  forge-parent

Requires:       jaffl
Requires:       jnr-constants
Requires:       java-devel
Requires:       jnr-constants
Requires:       jpackage-utils

%description
jnr-posix is a lightweight cross-platform POSIX emulation layer for Java,
written in Java and is part of the JNR project (http://jnr.kenai.com).

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
Common cross-project/cross-platform POSIX APIs.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{cluster}-%{name}-%{git_commit}

%patch0 -p0
%patch1 -p0

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%if !%with_maven

%patch2 -p0
mkdir build_lib
build-jar-repository -s -p build_lib jaffl jffi constantine objectweb-asm/asm \
                                     objectweb-asm/analysis objectweb-asm/commons \
                                     objectweb-asm/tree objectweb-asm/util objectweb-asm/xml
%endif

%build

%if %with_maven

mvn-rpmbuild \
    install javadoc:aggregate

%else

ant jar
ant javadoc

%endif

%install

mkdir -p %{buildroot}%{_javadir}

%if %with_maven
  cp -p target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar
%else
  cp -p dist/%{name}.jar %{buildroot}%{_javadir}/
%endif

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml  %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
%if %with_maven
  cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}
%else
  cp -rp dist/javadoc/* %{buildroot}%{_javadocdir}/%{name}
%endif

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%doc LICENSE.txt README.txt

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}


%changelog

* Sat Jan 12 2013 umeabot <umeabot> 1.1.8-2.mga3
+ Revision: 355494
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Feb 25 2012 gil <gil> 1.1.8-1.mga2
+ Revision: 214925
- update to 1.1.8

* Sat Nov 05 2011 gil <gil> 1.1.7-1.mga2
+ Revision: 163864
- imported package jnr-posix

